Package org.linphone.core

# Interface AccountManagerServicesRequestListener

All Known Implementing Classes:
  `AccountManagerServicesRequestListenerStub`

public interface AccountManagerServicesRequestListener
An object to handle the callbacks for `AccountManagerServicesRequest`
object.

## Method Summary

Modifier and Type
Method
Description
`void`
`onDevicesListFetched(AccountManagerServicesRequest request, AccountDevice[] devicesList)`
Gets the devices list fetched callback.
`void`
`onRequestError(AccountManagerServicesRequest request, int statusCode, String errorMessage, Dictionary parameterErrors)`
Gets the request error callback.
`void`
`onRequestSuccessful(AccountManagerServicesRequest request, String data)`
Gets the request successful callback.

## Method Details

### onRequestSuccessful

void onRequestSuccessful(AccountManagerServicesRequest request, String data)
Gets the request successful callback.

### onRequestError

void onRequestError(AccountManagerServicesRequest request, int statusCode, String errorMessage, Dictionary parameterErrors)
Gets the request error callback.

### onDevicesListFetched

void onDevicesListFetched(AccountManagerServicesRequest request, AccountDevice[] devicesList)
Gets the devices list fetched callback.